package com.fjhx.service.product;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.product.ProductEx;
import com.fjhx.params.production.ProductWorkingRoute;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 产品 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-14
 */
public interface ProductExService extends BaseService<ProductEx> {

    Page<Map<String, Object>> getPage(Map<String, String> condition);

    void add(Map<String, Object> map);

    void edit(Map<String, Object> map);

    void delete(Map<String, Object> map);

    List<Map<String, Object>> getList();

    ProductWorkingRoute getWorkingRoute(Long ProductId);

}
